Subject: Re: [Cbe-oss-dev] [PATCH] Implement check_legacy_ioport() on PS3

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 30 Mar 2007 11:45:37 +1000

On Thu, 2007-03-29 at 20:45 -0500, Olof Johansson wrote:
> On Fri, Mar 30, 2007 at 01:02:52AM +0100, David Woodhouse wrote:
> > It doesn't like it when we poke at legacy I/O ports like the i8042. We
> > should probably change the _default_ to return -ENODEV, and let any
> > strange platform which wants to allow unfettered access provide its own
> > function for that.
> 
> I ran into the very same thing earlier myself and had exactly the same
> idea. However, it turned out then that it would have meant adding more
> cases of ioport being allowed than it would have removed the opposite. It
> might have changed since then. Either way it's annoying.

I was thinking that we could have one single helper shared by most
platforms who allow that legacy ISA crap which checks the device-tree
for known ISA devices. That would cover PREP, CHRP and pSeries at
least...

Ben.